\name{membershipc}
\alias{membershipc}
\title{
membershipc function.
}
\description{
membershipc() divides the total data set into several small pieces.
Each piece contains at least one SNP with genotype from SNP chip data,
which is considered as a "gold standard" in this our real data analysis.
For general use.
}
\usage{
membershipc(alc, maxdist, minsnp)
}
\arguments{
  \item{alc}{
Input data set with the following format: a column with chromosome, 
position, reference allele, alternative allele and then 2 columns per 
sample: count for reference and alternative. 
}
  \item{maxdist}{
maximum distance to consider
}
  \item{minsnp}{
minimum number of SNP in segment
}
}
\value{
A list of 2.
\item{comp1 }{a two column matrix with the first column recording the number of SNPs of each segment, and the second column recording the length of that segment.}
\item{comp2 }{a vector indicates the segmentational membership of each SNP.}
}
\examples{
## The function is currently defined as
function (alc, maxdist, minsnp) 
{
    memb <- rep(0, nrow(alc))
    mdi <- maxdist
    ns <- c(NULL, NULL)
    psts <- alc[, 2]
    j <- 1
    i <- 1
    repeat {
        dst <- psts - psts[j]
        repeat {
            selected <- (abs(dst) < mdi) & (dst >= 0)
            toselect <- (dst >= mdi)
            if (sum(selected) >= minsnp) {
                break
            }
            else {
                mdi <- mdi + 1000
            }
        }
        if (sum(toselect) < minsnp) {
            selected <- (toselect | selected)
            toselect <- toselect & F
            mdi <- max(psts[selected]) - min(psts[selected])
        }
        ns <- rbind(ns, c(sum(selected), mdi))
        mdi <- maxdist
        memb[selected] <- i
        i <- i + 1
        j <- j + sum(selected)
        if (sum(toselect) == 0) {
            break
        }
    }
    return(list(ns, memb))
  }
}

